org.apache.calcite.avatica.proto

## Interface Responses.RpcMetadataOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.RpcMetadata, Responses.RpcMetadata.Builder

Enclosing class:
  Responses

    public static interface Responses.RpcMetadataOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getServerAddress()` The host:port of the server
`com.google.protobuf.ByteString` `getServerAddressBytes()` The host:port of the server

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getServerAddress

    String getServerAddress()

     The host:port of the server

`optional string server_address = 1;`

#### getServerAddressBytes

    com.google.protobuf.ByteString getServerAddressBytes()

     The host:port of the server

`optional string server_address = 1;`